<?php

namespace Lean\Api\Form;

use Lean\Api\Factory\MessageFactoryInterface;
use Lean\LanguageHandler;

trait FormTrait
{
    public function __construct(
        protected LanguageHandler $languageHandler,
        protected MessageFactoryInterface $message,
        # public EntityInterface $entity,
    ) {}

    protected function lang(string $key, array $variables = [])
    {
        return $this->languageHandler->languageFromKey($key, $variables);
    }
}